<id>
Topic Starter for YaBB 2.6.0
</id>

<version>
1.6
</version>

<mod info>
This mod allows you to add a topic starter text into each post a chosen user makes in your forum.

Installation:
=============
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.

Admin/ManageTemplates.pm (ASCII)
Admin/ModList.pm (ASCII)
Languages/English/Display.lng (ASCII)
Sources/Display.pm (ASCII)
Templates/default/Display.template (ASCII)

yabbfiles/ModImages/tstarter.gif (Binary)
</mod info>

<author>
Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li), updated for 2.6.0 by Dandello
</author>

<homepage>
http://www.yabbforumsoftware.comt/cgi-bin/yabb2/YaBB.pl
</homepage>

<edit file>
Admin/ManageTemplates.pm
</edit file>

<search for>
        $outblock =~ s/({|<)yabb userlink(}|>)/$usernamelink/gsm;
</search for>

<add after>
        $outblock =~ s/({|<)yabb topicstarter(}|>)/$topicstartertext/gsm;
</add after>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
      $Topicstarter = "Topic Starter|Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li). Updated for 2.6.0 by Dandello|This mod allows you to add a topic starter text into each post a chosen user makes in your forum.|1.6|June 10, 2014";
      push (@installed_mods, "$Topicstarter");
</add before>

<edit file>
Languages/English/Display.lng
</edit file>

<search for>
'29' => 'Author',
</search for>

<add after>
'tstarter' => 'Topic Starter',
</add after>

<edit file>
Sources/Display.pm
</edit file>

<search for>
        $messagedate = $mdate;
</search for>

<add after>
        my $topicstartertext = q{};
        if ($topicstart{$musername} && $musername ne 'Guest') { $topicstartertext = qq~<i>$display_txt{'tstarter'}</i>&nbsp;<img src="$yyhtml_root/ModImages/tstarter.gif" alt="$display_txt{'tstarter'}" /><br />~; }
</add after>

<search for>
        $outblock =~ s/{yabb userlink}/$usernamelink/gsm;
</search for>

<add after>
        $outblock =~ s/{yabb topicstarter}/$topicstartertext/gsm;
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
                        {yabb memberinfo}
                        <br />
</search for>

<add before>
                        {yabb topicstarter}
</add before>
